<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<%= error_messages_for @view %>

<section class="form--section">

  <div class="form--field -required">
    <%= f.text_field :name,
                     label: t(:label_title),
                     required: true,
                     size: 60,
                     container_class: '-wide' %>
  </div>

  <div class="form--field -required">
    <label class="form--label" for="project_id"><%= Query.human_attribute_name(:project) %>:</label>
    <div class="form--field-container">
      <%= angular_component_tag 'opce-project-autocompleter',
                                inputs: {
                                  filters: [{ name: 'user_action', operator: '=',values: ['team_planners/create'] }],
                                  inputName: 'project_id',
                                  model: @project,
                                  appendTo: 'body',
                                },
                                id: 'project_id',
                                class: 'form--select-container -wide remote-field--input',
                                data: {
                                  'test-selector': 'project_id'
                                }
      %>
    </div>
    <div class="form--field-instructions">
      <p><%= t 'help_texts.views.project',
               singular: t('team_planner.label_team_planner').downcase,
               plural: t('team_planner.label_team_planner_plural') %></p>
    </div>
  </div>

  <div class="form--field">
    <%= styled_label_tag 'query[public]',
                         Query.human_attribute_name(:public) %>
    <div class="form--field-container">
      <%= styled_check_box_tag 'query[public]',
                               '1',
                               @view.public
      %>
    </div>
    <div class="form--field-instructions">
      <p><%= t 'help_texts.views.public' %></p>
    </div>
  </div>

  <div class="form--field">
    <%= styled_label_tag 'query[starred]',
                         t(:label_favoured) %>
    <div class="form--field-container">
      <%= styled_check_box_tag 'query[starred]',
                               '1',
                               @view.starred
      %>
    </div>
    <div class="form--field-instructions">
      <p><%= t 'help_texts.views.favoured' %></p>
    </div>
  </div>
</section>
